
public class Movie {
	private String title;
	private int year;
	private double rating;
	private Actor leadingActor;
	private Actor supportingActor;
	private Director director;
	
	public Movie(String title, int year, double rating, String director, String leadingActor, String supportingActor) {
		this.title = title;
		this.year = year;
		this.rating = rating;
		this.leadingActor = new Actor(leadingActor);
		this.supportingActor = new Actor(supportingActor);
		this.director = new Director(director);
	}
	
	public Movie(String[] args) throws IndexOutOfBoundsException {
		this(args[0], Integer.parseInt(args[1]), Double.parseDouble(args[2]), args[3], args[4], args[5]);
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public int getYear() {
		return year;
	}

	public void setYear(int year) {
		this.year = year;
	}

	public double getRating() {
		return rating;
	}

	public void setRating(double rating) {
		this.rating = rating;
	}

	public Actor getLeadingActor() {
		return leadingActor;
	}

	public void setLeadingActor(Actor leadingActor) {
		this.leadingActor = leadingActor;
	}

	public Actor getSupportingActor() {
		return supportingActor;
	}

	public void setSupportingActor(Actor supportingActor) {
		this.supportingActor = supportingActor;
	}
	
	public Director getDirector() {
		return director;
	}

	public void setDirector(Director director) {
		this.director = director;
	}

	@Override
	public String toString() {
		return title + ", year: " + year + ", rating: " + rating + ", leading actor " + leadingActor
				+ ", supporting actor " + supportingActor + ", directed by  " + director;
	}

}
